<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Router Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d81/classThread_1_1Router.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../de/dd7/classThread_1_1Router-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Router Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class represents a Thread <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a>.  
 <a href="../../db/d81/classThread_1_1Router.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../df/d4b/topology_8hpp_source.html">src/core/thread/topology.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Router:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d48/classThread_1_1Router__inherit__graph.png" border="0" usemap="#Thread_1_1Router_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Router_inherit__map" id="Thread_1_1Router_inherit__map">
<area shape="rect" id="node2" href="../../da/dd9/classThread_1_1Neighbor.html" title="This class represents a Thread neighbor. " alt="" coords="5,5,130,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Router:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/dba/classThread_1_1Router__coll__graph.png" border="0" usemap="#Thread_1_1Router_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Router_coll__map" id="Thread_1_1Router_coll__map">
<area shape="rect" id="node2" href="../../da/dd9/classThread_1_1Neighbor.html" title="This class represents a Thread neighbor. " alt="" coords="92,167,217,192"/>
<area shape="rect" id="node3" href="../../dd/d38/classThread_1_1LinkQualityInfo.html" title="This class encapsulates/stores all relevant information about quality of a link, including average re..." alt="" coords="5,80,165,105"/>
<area shape="rect" id="node4" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html" title="This structure represents an IEEE 802.15.4 Extended Address. " alt="" coords="188,80,360,105"/>
<area shape="rect" id="node5" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="224,5,325,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a12d0a442a0454213c3830d8a5ec8fd2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12d0a442a0454213c3830d8a5ec8fd2d"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/classThread_1_1Router.html#a12d0a442a0454213c3830d8a5ec8fd2d">mNextHop</a></td></tr>
<tr class="memdesc:a12d0a442a0454213c3830d8a5ec8fd2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The next hop towards this router. <br /></td></tr>
<tr class="separator:a12d0a442a0454213c3830d8a5ec8fd2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a685707e1e0f1724421dd81bd34ac9b61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a685707e1e0f1724421dd81bd34ac9b61"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/classThread_1_1Router.html#a685707e1e0f1724421dd81bd34ac9b61">mLinkQualityOut</a>: 2</td></tr>
<tr class="memdesc:a685707e1e0f1724421dd81bd34ac9b61"><td class="mdescLeft">&#160;</td><td class="mdescRight">The link quality out for this router. <br /></td></tr>
<tr class="separator:a685707e1e0f1724421dd81bd34ac9b61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1d838013251a1749007fae151094090"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1d838013251a1749007fae151094090"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/classThread_1_1Router.html#ad1d838013251a1749007fae151094090">mCost</a>: 4</td></tr>
<tr class="memdesc:ad1d838013251a1749007fae151094090"><td class="mdescLeft">&#160;</td><td class="mdescRight">The cost to this router. <br /></td></tr>
<tr class="separator:ad1d838013251a1749007fae151094090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43c6dcb843c3f8e7fe09136f91f1b59f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43c6dcb843c3f8e7fe09136f91f1b59f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/classThread_1_1Router.html#a43c6dcb843c3f8e7fe09136f91f1b59f">mAllocated</a>: 1</td></tr>
<tr class="memdesc:a43c6dcb843c3f8e7fe09136f91f1b59f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not this entry is allocated. <br /></td></tr>
<tr class="separator:a43c6dcb843c3f8e7fe09136f91f1b59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af67a88b4e30a464ea235307fbb134b84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af67a88b4e30a464ea235307fbb134b84"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d81/classThread_1_1Router.html#af67a88b4e30a464ea235307fbb134b84">mReclaimDelay</a>: 1</td></tr>
<tr class="memdesc:af67a88b4e30a464ea235307fbb134b84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not this entry is waiting to be reclaimed. <br /></td></tr>
<tr class="separator:af67a88b4e30a464ea235307fbb134b84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classThread_1_1Neighbor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classThread_1_1Neighbor')"><img src="../../closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="../../da/dd9/classThread_1_1Neighbor.html">Thread::Neighbor</a></td></tr>
<tr class="memitem:ae0cee06d43705fd3d4c8dfc4776c4f8c inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0cee06d43705fd3d4c8dfc4776c4f8c"></a>
<a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ae0cee06d43705fd3d4c8dfc4776c4f8c">mMacAddr</a></td></tr>
<tr class="memdesc:ae0cee06d43705fd3d4c8dfc4776c4f8c inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The IEEE 802.15.4 Extended Address. <br /></td></tr>
<tr class="separator:ae0cee06d43705fd3d4c8dfc4776c4f8c inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196092c07e8f54b8e92fbb70ef199203 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a196092c07e8f54b8e92fbb70ef199203"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a196092c07e8f54b8e92fbb70ef199203">mLastHeard</a></td></tr>
<tr class="memdesc:a196092c07e8f54b8e92fbb70ef199203 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time when last heard. <br /></td></tr>
<tr class="separator:a196092c07e8f54b8e92fbb70ef199203 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7adaeae9dfceae4142381ae6bc6a326f inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" ><a class="anchor" id="a7adaeae9dfceae4142381ae6bc6a326f"></a>
union {</td></tr>
<tr class="memitem:aa48f157781fa5056793747c853a2ce7e inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;struct {</td></tr>
<tr class="memitem:a7f6628f59d9c95c3663bcb2fefaf90a5 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a25e063d8cb2a052425f9a7c529de4b22">mLinkFrameCounter</a></td></tr>
<tr class="memdesc:a7f6628f59d9c95c3663bcb2fefaf90a5 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Link Frame Counter. <br /></td></tr>
<tr class="separator:a7f6628f59d9c95c3663bcb2fefaf90a5 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05e6a9065a8001dcc1e31c5e9c5f9ae inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a85277f348f381529be7cc5702848a9b9">mMleFrameCounter</a></td></tr>
<tr class="memdesc:ac05e6a9065a8001dcc1e31c5e9c5f9ae inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MLE Frame Counter. <br /></td></tr>
<tr class="separator:ac05e6a9065a8001dcc1e31c5e9c5f9ae inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e82d36cd172c713007621f05f96532d inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint16_t&#160;&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a92dd82c88583d2e0a8a17ed3751560dc">mRloc16</a></td></tr>
<tr class="memdesc:a4e82d36cd172c713007621f05f96532d inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The RLOC16. <br /></td></tr>
<tr class="separator:a4e82d36cd172c713007621f05f96532d inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa48f157781fa5056793747c853a2ce7e inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;&#160;&#160;<b>mValid</b></td></tr>
<tr class="separator:aa48f157781fa5056793747c853a2ce7e inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99d25055059bd0f36a06625cc8287ea9 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;struct {</td></tr>
<tr class="memitem:af71e488c3b692edb3ec5becf30c0817c inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab92902c95b78e4b742966cef84ab9350">mChallenge</a> [<a class="el" href="../../da/d3f/classThread_1_1Mle_1_1ChallengeTlv.html#adcab3a1fe8d6eb53f12ea5d767cb1628a8735abacfa1e0b26c8f5bc0bd1c4cbca">Mle::ChallengeTlv::kMaxSize</a>]</td></tr>
<tr class="memdesc:af71e488c3b692edb3ec5becf30c0817c inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The challenge value. <br /></td></tr>
<tr class="separator:af71e488c3b692edb3ec5becf30c0817c inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb07c1d93458d6ad2d26770443876587 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a1582bd23b78f413a112c36ad82318810">mChallengeLength</a></td></tr>
<tr class="memdesc:abb07c1d93458d6ad2d26770443876587 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The challenge length. <br /></td></tr>
<tr class="separator:abb07c1d93458d6ad2d26770443876587 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99d25055059bd0f36a06625cc8287ea9 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;&#160;&#160;<b>mPending</b></td></tr>
<tr class="separator:a99d25055059bd0f36a06625cc8287ea9 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7adaeae9dfceae4142381ae6bc6a326f inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:a7adaeae9dfceae4142381ae6bc6a326f inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a8a9f7b7838a01d54251e535a20553 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01a8a9f7b7838a01d54251e535a20553"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a01a8a9f7b7838a01d54251e535a20553">mKeySequence</a></td></tr>
<tr class="memdesc:a01a8a9f7b7838a01d54251e535a20553 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current key sequence. <br /></td></tr>
<tr class="separator:a01a8a9f7b7838a01d54251e535a20553 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae38900ccf7c8ed271c2d1072add36660 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae38900ccf7c8ed271c2d1072add36660"></a>
<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cd">State</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ae38900ccf7c8ed271c2d1072add36660">mState</a>: 3</td></tr>
<tr class="memdesc:ae38900ccf7c8ed271c2d1072add36660 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The link state. <br /></td></tr>
<tr class="separator:ae38900ccf7c8ed271c2d1072add36660 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15f05d7037f87472ad7201f9a6a8c2d0 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15f05d7037f87472ad7201f9a6a8c2d0"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a15f05d7037f87472ad7201f9a6a8c2d0">mMode</a>: 4</td></tr>
<tr class="memdesc:a15f05d7037f87472ad7201f9a6a8c2d0 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MLE device mode. <br /></td></tr>
<tr class="separator:a15f05d7037f87472ad7201f9a6a8c2d0 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4073f674b4f04c21dbda33ff0906abb inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4073f674b4f04c21dbda33ff0906abb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ae4073f674b4f04c21dbda33ff0906abb">mDataRequest</a>: 1</td></tr>
<tr class="memdesc:ae4073f674b4f04c21dbda33ff0906abb inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not a Data Poll was received. <br /></td></tr>
<tr class="separator:ae4073f674b4f04c21dbda33ff0906abb inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae30650fda4acc6dafdc9b57992414884 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae30650fda4acc6dafdc9b57992414884"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ae30650fda4acc6dafdc9b57992414884">mLinkFailures</a></td></tr>
<tr class="memdesc:ae30650fda4acc6dafdc9b57992414884 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Consecutive link failure count. <br /></td></tr>
<tr class="separator:ae30650fda4acc6dafdc9b57992414884 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59cd22765c14d446c332b284642ddfb7 inherit pub_attribs_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59cd22765c14d446c332b284642ddfb7"></a>
<a class="el" href="../../dd/d38/classThread_1_1LinkQualityInfo.html">LinkQualityInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#a59cd22765c14d446c332b284642ddfb7">mLinkInfo</a></td></tr>
<tr class="memdesc:a59cd22765c14d446c332b284642ddfb7 inherit pub_attribs_classThread_1_1Neighbor"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link quality info (contains average RSS, link margin and link quality) <br /></td></tr>
<tr class="separator:a59cd22765c14d446c332b284642ddfb7 inherit pub_attribs_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1Neighbor"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1Neighbor')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../da/dd9/classThread_1_1Neighbor.html">Thread::Neighbor</a></td></tr>
<tr class="memitem:ab01d7958f449ab7d7f163f00110e80cd inherit pub_types_classThread_1_1Neighbor"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cd">State</a> { <br />
&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cda5e2e9154102031460ff8957e065df50d">kStateInvalid</a>, 
<br />
&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cda3fffdebd52c89750d1ba00314b80300b">kStateParentRequest</a>, 
<br />
&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cda2cc238ad542e86b38b78cac50727affd">kStateChildIdRequest</a>, 
<br />
&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cda19ec926f21de995bb0890add37f746b8">kStateLinkRequest</a>, 
<br />
&#160;&#160;<a class="el" href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cdaa9798a643241b4326beea7c0bab7d18c">kStateValid</a>
<br />
 }<tr class="memdesc:ab01d7958f449ab7d7f163f00110e80cd"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../da/dd9/classThread_1_1Neighbor.html" title="This class represents a Thread neighbor. ">Neighbor</a> link states.  <a href="../../da/dd9/classThread_1_1Neighbor.html#ab01d7958f449ab7d7f163f00110e80cd">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:ab01d7958f449ab7d7f163f00110e80cd inherit pub_types_classThread_1_1Neighbor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class represents a Thread <a class="el" href="../../db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a>. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../df/d4b/topology_8hpp_source.html">topology.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../db/d81/classThread_1_1Router.html">Router</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
